Axuz Developers

DELETE /teams/{teamId}/feed-posts/{postId}/attachments/{fileId}

Desanexar file de post de Timeline

  • Access: Signed in
  • Service: https://files-api.axuz.net

Accepted authentication

  • sessionCookie — Sessão plena Axuz (cookie de sessão da casa). Sessão restrita é 403 enrollment_required.
  • bearerSession — JWT de acesso da sessão em `Authorization: Bearer`.

Remove o vínculo (não o arquivo). Vínculo ou post de outro team = 404.

Parameters

NameInTypeRequiredDescription
teamIdpathstringyes
postIdpathstringyes
fileIdpathstringyes

Responses

200

Removido

NameTypeRequiredDescription
okbooleanyes

400

postId/fileId inválido

401

Sem credencial valida

NameTypeRequiredDescription
errorstringyes

404

Recurso ausente

NameTypeRequiredDescription
errorstringyes

Chave/slug do erro

messagestringno

429

Limite de requisições excedido.

NameTypeRequiredDescription
errorstringyes

500

Erro interno. Tente de novo com backoff; reporte o X-Request-Id.

NameTypeRequiredDescription
errorstringyes

503

DB do axuz_workspace_api não configurado (WORKSPACE_DATABASE_URL)

Examples

"Try it" is turned off in this reference. Use the examples with your test credential.

curl

curl -sS -X DELETE 'https://files-api.axuz.net/teams/TEAM_ID/feed-posts/POST_ID/attachments/FILE_ID' \
  -H "Authorization: Bearer $AXUZ_TOKEN"

Node.js

const res = await fetch("https://files-api.axuz.net/teams/TEAM_ID/feed-posts/POST_ID/attachments/FILE_ID", {
  method: 'DELETE',
  headers: {
    Authorization: `Bearer ${process.env.AXUZ_TOKEN}`,
  },
});
if (!res.ok) throw new Error(`HTTP ${res.status}: ${await res.text()}`);
console.log(await res.json());

Python

import os
import requests

res = requests.request(
    "DELETE",
    "https://files-api.axuz.net/teams/TEAM_ID/feed-posts/POST_ID/attachments/FILE_ID",
    headers={
        "Authorization": f"Bearer {os.environ['AXUZ_TOKEN']}",
    },
    timeout=30,
)
res.raise_for_status()
print(res.json())